%define oname   pango
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    3.0.7
Release:    %mkrel 2
Summary:    Ruby/Pango is a Ruby binding of pango-1.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: pango-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: ruby-glib2-devel = %{version}
BuildRequires: ruby-cairo-devel >= 1.14.0
BuildRequires: locales-en

%description
Ruby/Pango is a Ruby binding of pango-1.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%exclude %{gem_extdir_mri}/*/*.h

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{header_dir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install -d


%changelog
* Sun Dec 13 2015 pterjan <pterjan> 3.0.7-2.mga6
+ Revision: 910256
- Removed stuff not needed

* Sun Nov 15 2015 pterjan <pterjan> 3.0.7-1.mga6
+ Revision: 903160
- Add missing BuildRequires

  + tv <tv>
    - adjust file list
    - new release + sync patches with FC

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-9.mga5
+ Revision: 739401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-8.mga5
+ Revision: 688894
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.2-7.mga4
+ Revision: 562828
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 2.0.2-6.mga4
+ Revision: 560991
- Use correct gem macros

* Fri Dec 27 2013 pterjan <pterjan> 2.0.2-5.mga4
+ Revision: 560970
- Fix file list now that gem_install is fixed

* Thu Dec 19 2013 pterjan <pterjan> 2.0.2-4.mga4
+ Revision: 558693
- Update for new binary extensions location

* Mon Dec 16 2013 pterjan <pterjan> 2.0.2-3.mga4
+ Revision: 557511
- Put the .so when it is expected

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 538032
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.0.2-1.mga4
+ Revision: 488344
- new version 2.0.2

* Sat Sep 28 2013 fwang <fwang> 1.1.5-5.mga4
+ Revision: 488327
- use new gem_install switch

* Sat Sep 28 2013 fwang <fwang> 1.1.5-4.mga4
+ Revision: 488218
- update file list
- use gem-setup

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 396236
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 381180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312200
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147911
- new version 1.0.3

* Sun Sep 18 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 145074
- 1.0.2

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71451
- fix test using en_US locale
- New version 0.90.8
- drop unneeded patch since glib2 is now in vendorlibdir
- move files in vendorlibdir
- fix file list
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49095
- imported package ruby-pango


* Tue Feb 08 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.90.7-1
- Initial package
